package com.persagy.adm.diagram.core.model.logic;

/**
 * and条件
 * @author zhaoyk
 */
public class AndFilter extends LogicFilter {

	public AndFilter(){
		this.type = TYPE_AND;
	}

	@Override
	protected boolean judge(Object data) {
		for(DataFilter item : items) {
			if(!item.filter(data))
				return false;
		}
		return true;
	}

}
