package com.persagy.proxy.adm.constant;

import cn.hutool.core.collection.CollUtil;

import java.util.Set;

/**
 * @ClassName AdmDictConstant
 * @Description: 字典常量
 * @Author linhuili
 * @Date 2021/9/1 10:07
 * @Version V1.0
 **/
public interface AdmDictConstant {

    /** 类型编码 */
    String CLASS_CODE ="classCode";

    /** 信息点infos前缀 */
    String INFOS_EX ="infos.";

    /** 一级标签名称-基本信息 */
    String FIRST_BASE_TAG ="基本信息";

    /** 一级标签历史名称-基础参数 */
    String HIS_FIRST_BASE_TAG="基础参数";
    /** 一级标签历史名称-基本参数 */
    String HIS_FIRST_BASE_TAG_TWO="基本参数";
    /** 高度 */
    String HEIGHT="height";
    /** 图片 */
    String PIC="pic";
    /** 表的信息点 */
    Set<String> TABLE_INFOS= CollUtil.newHashSet("id","name","localId","localName",
            "qRCodePic","defaultQRCode","rFID","cADID","bimId","bimTypeId","bimLocation","bimFamilyName",
            "bimFamilySymbol","equipSerial","modelId","note","introduction","businessFloorNum","officeFloorNum",
            "shaftSequenceId","outline","buildQRCode","bimIdPre","floorSequenceId","floorSequenceID",
            "permanentPeopleNum","floorIdentity","depth","width","buildArea","netArea","height","intro",
            "ratedCoolingP","ratedHeatingP","acType","zoneOrientation","roomFuncType","roomSerial",
            "projRoomFuncType","ratedLightP","zoneType","tenantType","tenant","elecCap","pollutionDegree",
            "groupCode","projectId","objType","classCode","grouping","virtualCodes","createApp","updateApp",
            "creator","creationTime","modifier","modifiedTime","valid");
    Set<String> SPECIAL_INFOS=CollUtil.newHashSet("cADID","rFID");

}
