package com.persagy.proxy.adm.handler;

import lombok.extern.slf4j.Slf4j;
import org.apache.poi.openxml4j.util.ZipSecureFile;
import org.springframework.boot.CommandLineRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;
/**
 * adm-middleware应用初始化
 * @author : lijie
 * Update By 2022/1/17 17:05
 */
@Component
@Order(1)
@Slf4j
public class InitRunner implements CommandLineRunner {

	@Override
	public void run(String... args) throws Exception {
		log.info("初始化...ZipSecureFile...MinInflateRatio");
		// 初始化
		ZipSecureFile.setMinInflateRatio(-1.0D);
	}

}
