package com.persagy.proxy.dictionary.model;

import lombok.Data;

/**
 * Description
 * 统计设备已交付设备信息点请求
 * @author:linhuili
 * @date:2021/11/15
 */
@Data
public class AdmDictDeliverieInfosRequest {

    /** 模式: all(全部)，gather(只看采集) */
    private String model;

    /** 类型编码 */
    private String classCode;

    /** 全部: 不用传值，未明确建筑传建筑(isNull)  */
    private String buildingId;

    /** 全部: 不用传值，未明确楼层(isNull) */
    private String floorId;

    /** 对象类型：设备(equipment),系统(system),空间(space),竖井(shaft) */
    private String objType;
}
