package com.persagy.proxy.dictionary.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Data
@ToString
@EqualsAndHashCode
public class AdmEquipDictInfos {

    /**模式: all(全部)，gather(只看采集)*/
    private String model;
    /**设备类型*/
    private String classCode;
    /**全部: 不用传值，未明确建筑传建筑(isNull)*/
    private String buildingId;
    /**全部: 不用传值，未明确楼层(isNull)*/
    private String floorId;
    /**对象类型：设备(equipment),系统(system),空间(space),竖井(shaft)*/
    private String objType;
}
