package com.persagy.proxy.dictionary.model;

import lombok.Data;

import java.util.Map;

/**
 * @ClassName AdmLocationPoint
 * @Description: ADM点位坐标实体类
 * @Author linhuili
 * @Date 2021/8/31 14:34
 * @Version V1.0
 **/
@Data
public class AdmModelRel {

    /** 旧的BIMID */
    private String oldBimId;

    /** BIMID */
    private String bimId;

    /** 楼层id */
    private String floorId;

    /** 楼层平面图地址 */
    private String floorMap;

    /** 模型id */
    private String modelId;

    /** 自定义属性 */
    private Map<String, Object> attributeMap;
}
