package com.persagy.adm.diagram.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.adm.diagram.entity.DiagramType;

import java.util.List;

/**
 * 系统图类型Dao
 *
 * @author liyang
 * @date 2021-12-01
 */
public interface DiagramTypeMapper extends BaseMapper<DiagramType> {

    /**
     * 获取所有系统图类型
     *
     * @return 系统图类型列表
     */
    List<DiagramType> getDiagramTypes();

}
