package com.persagy.adm.diagram.entity;

import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 系统图类型实体
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DiagramType extends AuditableEntity<DiagramType> {

    /**
     * 所属专业
     */
    private String major;

    /**
     * 所属系统
     */
    private String system;

    /**
     * 系统图类型的编码
     */
    private String code;

    /**
     * 系统图类型的名称
     */
    private String name;

    /**
     * 系统图类型的描述
     */
    private String remark;

}
