package com.persagy.adm.diagram.entity;

import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 图例实体
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LegendEntity extends AuditableEntity<LegendEntity> {

    private String name;

    private String code;

    /**
     * 描述信息
     */
    private String remark;

    /**
     * 所属系统代码
     */
    private String system;

    /**
     * 图例内容，json格式
     */
    private String legendContent;

}
