package com.persagy.proxy.migration.model;

import lombok.Builder;
import lombok.Data;

/**
 * @author lvxianyun
 * @title: MigrationInfo 数据迁移参数
 * @projectName adm-middleware
 * @date 2021/12/3 17:18
 */
@Data
@Builder
public class MigrationInfo {
    /**
     * 项目现场中台能访问的地址
     */
    private String targetUrl;
    private String targetGroupCode;
    private String targetProjectId;
    /**
     * 目标标志,默认0，使用当前登录用的项目id和集团编码，等于1，项目id是集团编码从参数中获取
     */
    private int targetSign = 0;
}
